<?php

namespace CouponsPlus\App\Conditions\Stubs\Conditions;

use CouponsPlus\Original\Collections\Collection;
use CouponsPlus\App\Coupon\Abilities\DashboardCardData;

class TotalSpend implements DashboardCardData
{
    const TYPE = 'TotalSpend';

    static public function getName() : string
    {
        return __('Total Spend', 'coupons-plus-for-woocommerce');
    }

    static public function getDescription() : string
    {
        return __('Will check the total amount spent by the customer across all past orders.', 'coupons-plus-for-woocommerce');
    }

    static public function getUseCases(): Collection
    {
        return new Collection([
        ]);
    }

    static public function getNotes() : array
    {
        return [
        ];
    }
}
